﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sevomin.Models
{
    public class JobParameter
    {
        [Key]
        public long Id { get; set; }

        [Index("IX_JobParameterUniqueIndex", Order=1, IsUnique=true)]
        [Required]
        public long ParameterId { get; set; }


        [Index]
        [Index("IX_JobParameterUniqueIndex", Order=2, IsUnique=true)]
        [Required]
        public long JobId { get; set; }

        public string StringValue { get; set; }
        public decimal? NumericValue { get; set; }

        public byte Moscow { get; set; }

        public virtual Parameter Parameter { get; set; }
        public virtual Job Job { get; set; }
    }
}
